package com.fuse.storage;

/*
	FUSE Light Server - multiuser server application
	Copyright (C) 2000 Aapo Kyrola / Sulake Oy  Helsinki, Finland

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/



import java.util.*;
import java.io.*;

/**
  * FUSEDataObject represents persistent data.
  * If FUSEDataObjects are cacheable, they should provide
  * their own unique cache key.
  * @author Aapo Kyrola
  */
public interface FUSEDataObject extends Serializable {
	
	/**
	  * Returns the type of this object
	  */	
	public String getType();	
	
	/**
	  * Returns the cache key of this object or null
	  * if the object is not cacheable.
	  * NOTE that the cache key must be unique only between objects
	  * of same class: the database cache implementation should differ
	  * between classes.
	  */
	public String getCacheKey();
}
